# zob/comment

自动在注释中的中文字和半形的英文、数字、符号之间插入空白。

为追寻更好的中文排版效果（扩充到 CJK 表意字符，甚至所有 Unicode 特殊字符）。

修复的场景包括如下几种：

- 标点符号 `~!;,?` 前的空格缺失和冗余空格，之后的空格移除，并将标点符号修订为全角符号。
- 标点符号 `:.` 前后的空格，并将标点符号修订为全角符号。
- 引号 `'"` 修订。
- 冒号 `:` 后跟随英文字母或者数字。
- 对话标点符号 `:""` 修订为全角。
- 连点符号 `..` 后的空格添加。
- 话题性质（双 `#` 号之间的表示为一个话题）的空格添加。
- 操作符 `-+=/\|<>&` 与英文字母、数字连接的空格添加。
- 括号 `()[]{}` 在中文字符里面时修订为全角括号。
- 中缀点修订为指定中缀点 `・`。
- 百分比符号 `%` 后紧跟英文字母时的空格添加。
- 英文字母前后的空格添加。
- 数字前后的空格添加。
- 英文标点符号 `` !"#$%&'()*+,\-./:;<=>?@\]^_`{|}~ `` 前的空格添加。
- 英文标点符号 `` !"#$%&'()*+,\-./:;<=>?@\]^_`{|}~ `` 后的空格添加。

## Correct

```js
/**
 * 测试示例 1
 *
 * @param {string} text 文本。参数不同于以往 a + b 的形式
 */
function demo(text) {

}
```

```js
// 这一个针对 1=1 的猜想
```

## Incorrect

```js
// xovel一时心血来潮写了这个插件
```

```js
/* 我是一个demo */
```
